CVE-2022-30999

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') in packagist/fof/upload

Identifiers

CVE-2022-30999, GHSA-fm53-mpmp-7qw2

Package Slug

packagist/fof/upload

Vulnerability

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

Description

FriendsofFlarum (FoF) Upload is an extension that handles file uploads intelligently for your forum. If FoF Upload prior to version 1.2.3 is configured to allow the uploading of SVG files (image/svg+xml), navigating directly to an SVG file URI could execute arbitrary Javascript code decided by an attacker. This Javascript code could include the execution of HTTP web requests to Flarum, or any other web service. This could allow data to be leaked by an authenticated Flarum user, or, possibly, for data to be modified maliciously. This issue has been patched with v1.2.3, which now sanitizes uploaded SVG files. As a workaround, remove the ability for users to upload SVG files through FoF Upload.

Affected Versions

All versions before 1.2.3

Solution

Upgrade to version 1.2.3 or above.

Last Modified

2022-06-13

source